{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2> friend Fasilkom</h2>
                    <div id="friend-list" class="list-group">

                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        $( document ).ready(function () {
            {# lengkapi pemanggilan ajax berikut untuk mengambil daftar teman yang ada di database #}
            $.ajax({
                method: "GET",
                url: "{% url 'lab-7:get-friend-list' %}", // update
                success: function (response) {
                    console.log(list)
                    var list= response.json
                    list = JSON.parse(data)

                    for (var i = 0; i<list.length; list++){
                        $(friend-list).append('<a class="list-group-item clearfix" href="get-friend-detail/')

                    } 
                },
                error: function(error){
                    #tampilkan pesan error
                }
            });
        });
    </script>
{% endblock %}
